# SGISGenerateMipmap (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class SGISGenerateMipmap

    java.lang.Object
      org.lwjgl.opengl.SGISGenerateMipmap

    public final class SGISGenerateMipmap

extends java.lang.Object

Field Summary
`static int` `GL_GENERATE_MIPMAP_HINT_SGIS` Accepted by the <target> parameter of Hint, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static int` `GL_GENERATE_MIPMAP_SGIS` Accepted by the <pname> parameter of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_GENERATE_MIPMAP_SGIS

    public static final int GL_GENERATE_MIPMAP_SGIS

  Accepted by the <pname> parameter of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv.

  See Also:
    Constant Field Values

### GL_GENERATE_MIPMAP_HINT_SGIS

    public static final int GL_GENERATE_MIPMAP_HINT_SGIS

  Accepted by the <target> parameter of Hint, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.